import os
from dotenv import load_dotenv, find_dotenv

dotenv_path = find_dotenv()
load_dotenv(dotenv_path, override=True)

class Config:
    SECRET_KEY = os.getenv('SECRET_KEY')
    WTF_CSRF_ENABLED = True
    RECAPTCHA_PUBLIC_KEY = os.getenv('RECAPTCHA_PUBLIC_KEY')
    RECAPTCHA_PRIVATE_KEY = os.getenv('RECAPTCHA_PRIVATE_KEY')
    SQLALCHEMY_DATABASE_URI = os.getenv('SQLALCHEMY_DATABASE_URI')
    UPLOAD_FOLDER = {
        'images': 'static/arts/',
        'arts': 'static/arts/',
        'videos': 'static/videos/',
        'thumbnails': 'static/thumbnails/',
        'avatars': 'static/avatars/',
        'banners': 'static/banners/',
        'comics': 'static/comics',
        'comicthumbs': 'static/comicthumbs/',
        'posts': 'static/posts/'
    }
    ALLOWED_IMAGE_EXTENSIONS = {'png', 'jpg', 'jpeg', 'gif', 'webp'}
    ALLOWED_VIDEO_EXTENSIONS = {'mp4', 'avi', 'mov'}
    MAX_IMAGE_SIZE = 15 * 1024 * 1024
    MAX_VIDEO_SIZE = 10 * 1024 * 1024 * 1024